Package org.kapott.hbci.dialog

# Enum KnownTANProcess

java.lang.Object
java.lang.Enum<KnownTANProcess>
org.kapott.hbci.dialog.KnownTANProcess

All Implemented Interfaces:
  `Serializable`, `Comparable<KnownTANProcess>`, `java.lang.constant.Constable`

public enum KnownTANProcess extends Enum<KnownTANProcess>
Enthaelt die Liste der bekannten TAN-Prozesse.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`KnownTANProcess.Variant`
Prozess-Variante.

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PROCESS1`
Prozess-Variante 1.
`PROCESS2_STEP1`
Prozess-Variante 2, Schritt 1.
`PROCESS2_STEP2`
Prozess-Variante 2, Schritt 2.
`PROCESS2_STEPS`
Prozess-Variante 2, Schritt S.

## Method Summary

Modifier and Type
Method
Description
`static KnownTANProcess`
`get(KnownTANProcess.Variant v, int step)`
Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.
`String`
`getCode()`
Liefert den Code des TAN-Prozess-Schrittes.
`boolean`
`is(String code)`
Prueft der angegebene Code identisch ist.
`static KnownTANProcess`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KnownTANProcess[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PROCESS1

public static final KnownTANProcess PROCESS1
Prozess-Variante 1.

### PROCESS2_STEP1

public static final KnownTANProcess PROCESS2_STEP1
Prozess-Variante 2, Schritt 1.

### PROCESS2_STEP2

public static final KnownTANProcess PROCESS2_STEP2
Prozess-Variante 2, Schritt 2.

### PROCESS2_STEPS

public static final KnownTANProcess PROCESS2_STEPS
Prozess-Variante 2, Schritt S. Das ist das Abfragen des Auftragsstatus bei Decoupled-Verfahren.

## Method Details

### values

public static KnownTANProcess[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static KnownTANProcess valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### is

public boolean is(String code)
Prueft der angegebene Code identisch ist.

Parameters:
  `code` - der zu pruefende Code.
Returns:
  true, wenn der Code identisch ist.

### getCode

public String getCode()
Liefert den Code des TAN-Prozess-Schrittes.

Returns:
  der Code des TAN-Prozess-Schrittes.

### get

public static KnownTANProcess get(KnownTANProcess.Variant v, int step)
Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.

Parameters:
  `v` - die Prozess-Variante.
  `step` - die Schritt-Nummer.
Returns:
  der TAN-Prozess. Nie NULL sondern im Zweifel `PROCESS2_STEP1`.